HC = require 'hardoncollider'

function on_collide(dt, shape_a, shape_b)
	
end

function love.load()
	img = love.graphics.newImage( 'thing.png' )
	Collider = HC(100, on_collide)
	
	bullets = {}
	pData = {x = 400, y = 300}
	player = Collider:addRectangle(pData.x, pData.y, 32, 32)
end

function love.update(dt)
	Collider:update(dt)
	for i,v in ipairs(bullets) do
		v.x = v.x + v.xspeed * dt
		v.y = v.y + v.yspeed * dt
	end
end

function love.draw()
	for i,v in ipairs(bullets) do
		-- v.bul:draw('line')
		love.graphics.draw( img, v.x, v.y )
	end
	player:draw("line")
end

function love.keypressed(key)
	if key == "left" then
		MakeBullet( 5, pData.x, pData.y, -500, 0 )
	elseif key == "right" then
		MakeBullet( 5, pData.x, pData.y, 500, 0 )
	end
end

function MakeBullet( Radius, x, y, xSpeed, ySpeed )
	local bullet = {
		radius = Radius, 
		x = x, 
		y = y,
		xspeed = xSpeed,
		yspeed = ySpeed, 
	}
	bullet.bul = Collider:addCircle(bullet.x, bullet.y, bullet.radius)
	table.insert(bullets, bullet)
end